Package com.xebialabs.xlrelease.domain

## Class ContainerTaskDefinition

- java.lang.Object
- - com.xebialabs.xlrelease.domain.TaskDefinition
  - - com.xebialabs.xlrelease.domain.TaskWithPropertiesDefinition
    - - com.xebialabs.xlrelease.domain.ContainerTaskDefinition

-     public class ContainerTaskDefinition
      extends TaskWithPropertiesDefinition

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.TaskDefinition

      `allowed, displayGroup, displayName, supportedInWorkflow, typeName, XEBIALABS_GROUP, XLRELEASE_GROUP, XLRELEASE_GROUP_REPLACEMENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContainerTaskDefinition​(Type type)` |
    `ContainerTaskDefinition​(Type type, boolean allowed)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isContainerTaskDefinition​(Type type)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.TaskWithPropertiesDefinition

      `getInputProperties, getOutputProperties, getTransitionalAndOutputProperties, ofKind`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.TaskDefinition

      `getDisplayGroup, getDisplayGroup, getDisplayName, getDisplayName, getPrefix, getSupportedInWorkflow, getTypeName, isAllowed, isCore, isSupportedInWorkflow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerTaskDefinition

          public ContainerTaskDefinition​(Type type,
                                         boolean allowed)

    - #### ContainerTaskDefinition

          public ContainerTaskDefinition​(Type type)

  - ### Method Detail

    - #### isContainerTaskDefinition

          public static boolean isContainerTaskDefinition​(Type type)